cd "u:\Stata_long\"
log using aspart.log, replace
import excel using aspart.xlsx, sheet("aspartamin") firstrow clear
* summary statistics on all variables 
summ
* Headache descriptives by DrugAsp
format Headache %8.4f
tabulate DrugAsp, summarize(Headache) 
* some graphs
format Headache %2.0f
twoway histogram Headache, discrete frequency 
graph box Headache, over(DrugAsp, relabel(1 "Placebo" 2 "Aspartame"))
graph bar Headache, over(DrugAsp, relabel(1 "Placebo" 2 "Aspartame"))
* random intercept Poisson regression model
mepoisson Headache Period1 Period2 Period3 Period4 DrugAsp || ID:
* histogram of NTDays
twoway histogram NTDays, discrete frequency
* random intercept Poisson regression model with varying exposure
mepoisson Headache Period1 Period2 Period3 Period4 DrugAsp, exposure(NTDays) ///
 || ID: 
scalar m1=e(ll)
* get random effect estimates (and std errs)
predict u0, reffects reses(u0se)
* assign a value of 1 for one obs of each subject
* and rank the random effects
egen pick1obs = tag(ID)
egen u0rank = rank(u0) if pick1obs==1
list ID u0 u0se u0rank if pick1obs==1
* standard error bar chart of random effects
serrbar u0 u0se u0rank if pick1obs==1, scale(1.96) yline(0)
* random int & Drug Poisson regression model with varying exposure
mepoisson Headache Period1 Period2 Period3 Period4 DrugAsp, exposure(NTDays) ///
 || ID:DrugAsp, covariance(unstructured) 
scalar m2=e(ll)
* get LR test for comparing models
display "chibar2(12) = " 2*(m2-m1)
display "Prob > chibar2(12) = " .5*chi2tail(1, 2*(m2-m1)) + ///
 .5*chi2tail(2, 2*(m2-m1))
 * get random effect estimates (and std errs)
predict u2 u1, reffects reses(u2se u1se)
* rank the random DrugAsp effects
egen u2rank = rank(u2) if pick1obs==1
list ID u2 u2se u2rank if pick1obs==1
* standard error bar chart of random effects
serrbar u2 u2se u2rank if pick1obs==1, scale(1.96) yline(0)
* random intercept Negative Binomial model with varying exposure
menbreg Headache Period1 Period2 Period3 Period4 DrugAsp, exposure(NTDays) ///
|| ID:
scalar m3=e(ll)
* get LR test for comparing models
display "chibar2(01) = " 2*(m3-m1)
display "Prob > chibar2(01) = " .5*chi2tail(1, 2*(m3-m1)) 
