PROC IMPORT DATAFILE = "U:\Stata_long\aspart.xlsx"
DBMS=xlsx REPLACE OUT = one;
GETNAMES=YES;
PROC MEANS;
RUN;

/* Get Spearman correlations of repeated counts */
PROC SORT; BY id; 
DATA baseline; SET one; if Period1=0 and Period2=0 and Period3=0 and Period4=0; Headache0=Headache;
DATA t1; SET one; if Period1=1; Headache1 = Headache;
DATA t2; SET one; if Period2=1; Headache2 = Headache;
DATA t3; SET one; if Period3=1; Headache3 = Headache;
DATA t4; SET one; if Period4=1; Headache4 = Headache;
DATA wide (KEEP=id Headache0-Headache4); MERGE baseline t1 t2 t3 t4; BY id;
PROC CORR SPEARMAN; VAR Headache0-Headache4;
RUN;




